/*****************************************************/
/* Segy trace header structure                       */
/*                                                   */


typedef struct  {	/* segy - trace identification header */
  int tracl;	/* trace sequence number within line */
  int tracr;	/* trace sequence number within reel */
  int fldr;	/* field record number */
  int tracf;	/* trace number within field record */
  int ep;	/* energy source point number */
  int cdp;	/* CDP ensemble number */
  int cdpt;	/* trace number within CDP ensemble */
  short trid;	
  short nvs;	
  short nhs;	
  short duse;	
  int offset;	/* distance from source point to receiver */
  int gelev;	/* receiver group elevation from sea level */
  int selev;	/* source elevation from sea level */
  int sdepth;	/* source depth (positive) */
  int gdel;	/* datum elevation at receiver group */
  int sdel;	/* datum elevation at source */
  int swdep;	/* water depth at source */
  int gwdep;	/* water depth at receiver group */
  short scalel;	
  short scalco;	
  int  sx;	/* X source coordinate */
  int  sy;	/* Y source coordinate */
  int  gx;	/* X group coordinate */
  int  gy;	/* Y group coordinate */
  short counit;	
  short wevel;	/* weathering velocity */
  short swevel;	/* subweathering velocity */
  short sut;	/* uphole time at source */
  short gut;	/* uphole time at receiver group */
  short sstat;	/* source static correction */
  short gstat;	/* group static correction */
  short tstat;	/* total static applied */
  short laga;	
  short lagb;	
  short delrt;	
  short muts;	/* mute time--start */
  short mute;	/* mute time--end */
  unsigned short ns;	/* number of samples in this trace */
  unsigned short dt;	/* sample interval; in micro-seconds */
  short gain;	
  short igc;	/* instrument gain constant */
  short igi;	/* instrument early or initial gain */
  short corr;	/* correlated: */
  short sfs;	/* sweep frequency at start */
  short sfe;	/* sweep frequency at end */
  short slen;	/* sweep length in ms */
  short styp;	
  short stas;	
  short stae;	
  short tatyp;	
  short afilf;	
  short afils;	
  short nofilf;	
  short nofils;	
  short lcf;	
  short hcf;	
  short lcs;	
  short hcs;	
  short year;	
  short day;	
  short hour;	
  short minute;	
  short sec;	
  short timbas;	
  short trwf;	
  short grnors;	
  short grnofr;	
  short grnlof;	
  short gaps;	
  short otrav;	
  float d1;	
  float f1;	
  float d2;	
  float f2;	
  float ungpow;	
  float unscale;	
  int ntr; 	
  short mark;	
  short shortpad; 
  short unass[14];	
  float  data[65536];

} segy;

